PrefabFiles = {
	"agatha",
	"agatha_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/agatha.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/agatha.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/agatha.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/agatha.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/agatha_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/agatha_silho.xml" ),

    Asset( "IMAGE", "bigportraits/agatha.tex" ),
    Asset( "ATLAS", "bigportraits/agatha.xml" ),
	
	Asset( "IMAGE", "images/map_icons/agatha.tex" ),
	Asset( "ATLAS", "images/map_icons/agatha.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_agatha.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_agatha.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_agatha.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_agatha.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_agatha.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_agatha.xml" ),
	
	Asset( "IMAGE", "images/names_agatha.tex" ),
    Asset( "ATLAS", "images/names_agatha.xml" ),
	
    Asset( "IMAGE", "bigportraits/agatha_none.tex" ),
    Asset( "ATLAS", "bigportraits/agatha_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.agatha = "Agatha the Cat"
STRINGS.CHARACTER_NAMES.agatha = "Agatha"
STRINGS.CHARACTER_DESCRIPTIONS.agatha = "*Calm\n*Fragile\n*Can last days without food"
STRINGS.CHARACTER_QUOTES.agatha = "\"This kitten isn't purr-fect. Like, furr-real.\""

-- Custom speech strings
STRINGS.CHARACTERS.agatha = require "speech_agatha"

-- The character's name as appears in-game
STRINGS.NAMES.agatha = "Agatha"

AddMinimapAtlas("images/map_icons/agatha.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("agatha", "FEMALE")

